/*
 * _hw_mmu.h
 *
 * DSP-BIOS Bridge driver support functions for TI OMAP processors.
 *
 * Copyright (C) 2005-2006 Texas Instruments, Inc.
 *
 * This package is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */


/*
 *  ======== _hw_mmu.h ========
 *  Description:
 *      Defines lower edge MMU functions.
 *
 *! Revision History:
 *! ================
 *! 19-Feb-2003 vp: Code review updates.
 *! 18-Oct-2002 sb: Ported to Linux Platform
 *! 21-Sep-2001 kc: created.
 */

#ifndef _HW_MMU_
#define _HW_MMU_

#include "_tiomap.h"

/* ======== HW_DspMmuIntrClear ========
 * purpose:
 *  Clers MMU Interrupt register.
 */
void HW_DspMmuIntrClear(IN struct WMD_DEV_CONTEXT *pDevContext,
			OUT struct DSP_ERRORINFO *pErrInfo);

/* ======== dspMmuTlbEntry ========
 * purose:
 *  Makes a DSP MMU entry
 */
extern void dspMmuTlbEntry(struct WMD_DEV_CONTEXT *pDevContext,
			  u32 physical_address,
			  u32 virtual_address, enum SLST_t slst_bit,
			  enum AP_t ap_bits, u8 locked_base_value,
			  u8 current_entry, enum PRESERVED_t p_bit);

#endif				/* _HW_MMU_ */
