/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*
 *  ======== tstlog.h ========
 *  Description:
 *      Test LOG utility for recording information to input log file.
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *   ---------------------------------------------------------------------------
 *
 *! Revision History
 *! ================
 *! 20-Jul-2000 map: Created.
 *
 */

/* Test suite header file */
#include <os.h>

/*
 *  ======= TSTLOG_openLog ========
 *  Purpose:
 *      Open logfile as name provided by string parameter
 */
#ifndef __KERNEL__
FILE* TSTLOG_openLog(CHAR *logname);
#else
VOID* TSTLOG_openLog(CHAR *logname);
#endif

/*
 *  ======== TSTLOG_appendLog ========
 *  Purpose:
 *      Append data to opened logfile
 */
#ifndef __KERNEL__
VOID TSTLOG_appendLog(FILE *pLog, CHAR *szData, ...);
#else
VOID TSTLOG_appendLog(VOID *pLog, CHAR *szData, ...);
#endif

/*
 *  ======== TSTLOG_closeLog ========
 *  Purpose:
 *      Close logfile with handle given as parameter
 */
#ifndef __KERNEL__
VOID TSTLOG_closeLog(FILE *pLog);
#else
VOID TSTLOG_closeLog(VOID *pLog);
#endif

