/*
 *  Copyright 2008 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
 
 /* Hardcoded sample parameters: */
#define DEFAULTBUFFERSIZE   0x19000 /* Default buffer size in bytes. */
#define DEFAULTDSPUNIT      0       /* Default unit number for the board. */
#define DMMCOPY_TASK_ID     TEXT ("dmmcopy")
#define ARGSIZE             32
#define DEFAULTDSPEXEC      "msg_nortdx_ext_3430.dof64P"

/* Messaging DSP commands */
#define DMM_SETUPBUFFERS    0xABCD
#define DMM_WRITEREADY      0xADDD
#define MAP_SIZE 4096UL
#define MAP_MASK (MAP_SIZE - 1)
#define OMAP_IVA2_PRM_BASE 0x48306000
#define OMAP_IVA2_CM_BASE 0x48004000
#define OMAP_GRP_SEL_BASE 0x48307000

/* DSP Power States */
#define ON_STATE 2        /* On */
#define RET_STATE 1        /* Retention */
#define HIB_STATE 0        /* Hibernation */

/* DSP Timeouts */
#define TIMEOUT_RETENTION 5
#define TIMEOUT_HIBERNATION 30

