/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*  ============================================================================
 *   File    framework.h
 *
 *   Path    $(TESTSUITEROOT)\Framework\framework.h
 * 
 *   Desc:
 *           Header file for Framework
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *   ============================================================================
 *   Revision History
 *
 *   JUL 03, 2002    REF=ORG             Swamy MC
 *      Original Version.
 *   ============================================================================
 */


/* Defines for the Framework */
#define MAXNAMESIZE 100		/* Max string size for names */

/* ==== Function Declarations needed by the Framework ===== */
INT apitst_main(INT,CHAR **);
INT anlysis_main(INT,CHAR **);
INT behvr_main(INT,CHAR **);
INT stress_main(INT,CHAR **);
INT ivaapitst_main(INT,CHAR **);

/* ==== Structures needed by The Framework ===== */
typedef enum   {ALL, API,IVAAPI, ANALYSIS, BEHAVIOUR, STRESS, INVALID } TestType;
typedef enum   {MOD_ALL, DSPMANAGER, DSPPROCESSOR, DSPNODE, DSPSTREAM } NameOfMod;

typedef struct testcaseproperties
{
    int         bVerbose_1; /* actually Boolean - init val = FALSE */
    int         iRunTimes;
	TestType    typeOfTest;
    char        sLogName[MAXNAMESIZE];
    char        sDSPExecName[MAXNAMESIZE];
	NameOfMod   modName;
	char        sFunctions[MAXNAMESIZE];
} TestCaseProp;



/* ==== Function Declarations for Framework ===== */


/* End of framework.h file */
