/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*  ============================================================================
 *   File    DSPProcessorTST.h
 *
 *   Path    $(TESTSUITEROOT)\TestAPI\apitst\DSPProcessorTST.h
 * 
 *   Desc:
 *           Header file for DSPProcessor_ API test case related functions.
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *   ============================================================================
 *   Revision History
 *
 *   JUL xx, 2002    REF=ORG             Swamy MC
 *      Original Version.
 *   ============================================================================
 */

/*
 *  ======= DSPProcessor_Attach_API ========
 *  DSPProcessor_Attach(UINT uProcessor, DSP_PROCESSORATTRIN *pAttrIn,
 *                      DSP_HPROCESSOR *phProcessor);
 *
 */
INT DSPProcessor_Attach_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_Detach_API ========
 *  DSPProcessor_Detach(DSP_HPROCESSOR *phProcessor);
 *
 */
INT DSPProcessor_Detach_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_EnumNodes_API ========
 *  DSPProcessor_EnumNodes(DSP_HPROCESSOR hProcessor,
 *                         IN UINT uNodeTabSize,
 *                         OUT UINT *puNumNodes,
 *                         OUT UINT *puAllocated);
 *
 */
INT DSPProcessor_EnumNodes_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_GetResourceInfo_API ========
 *  DSPProcessor_GetResourceInfo(DSP_HPROCESSOR *phProcessor,
 *                               UINT uResourceType,
 *                               DSP_RESOURCEINFO *pResourceInfo,
 *                               UINT uResourceInfoSize);
 *
 */
INT DSPProcessor_GetResourceInfo_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_GetState_API ========
 *  DSPProcessor_GetState(DSP_HPROCESSOR hProcessor,
 *                        DSPPROCESSORSTATE *pProcStatus
 *                        UINT uStateInfoSize);
 *
 */
INT DSPProcessor_GetState_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_RegisterNotify_API ========
 *  DSPProcessor_RegisterNotify(DSP_HPROCESSOR hProcessor,
 *                              UINT uEventMask,
 *                              UINT uNotifyMask,
 *                              DSP_HNOTIFICATION hNotification)
 *
 */
INT DSPProcessor_RegisterNotify_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_Load_API ========
 *  DSPProcessor_Load(DSP_HPROCESSOR hProcessor, INT iArgc,
 *                    CHAR **aArgv, CHAR **aEnvp);
 *
 */
INT DSPProcessor_Load_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_Start_API ========
 *  DSPProcessor_Start(DSP_HPROCESSOR hProcessor);
 *
 */
INT DSPProcessor_Start_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_Ctrl_API ========
 *  DSPProcessor_Ctrl(DSP_HPROCESSOR hProcessor, ULONG dwCmd,
 *                    DSP_CBDATA *pArgs)
 *
 */
INT DSPProcessor_Ctrl_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_FlushMemory_API ========
 *  DSPProcessor_FlushMemory(DSP_HPROCESSOR hProcessor, PVOID pMpuAddr,
 *                                         ULONG ulSize, ULONG ulFlags)
 *
 */
INT DSPProcessor_FlushMemory_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_Invalidate_API ========
 *  DSPProcessor_InvalidateMemory(DSP_HPROCESSOR hProcessor, PVOID pMpuAddr,ULONG ulSize)
 *
 */
INT DSPProcessor_InvalidateMemory_API(INT argc, CHAR *argv[], INT iRunTime);

