/*  ============================================================================
 *   File    IVADSPProcessorTST.h
 *
 *   Path    $(TESTSUITEROOT)\TestIVAAPI\ivaapitst\IVADSPProcessorTST.h
 * 
 *   Desc:
 *           Header file for DSPProcessor_ API test case related functions.
 *
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *   ============================================================================
 *   Revision History
 *
 *   JUL xx, 2002    REF=ORG             Swamy MC
 *   AUG 05, 2004    REF=Based on DSP API tests             Ramesh Gupta G
 *      Original Version.
 *   ============================================================================
 */

/*
 *  ======= DSPProcessor_Attach_API ========
 *  DSPProcessor_Attach(UINT uProcessor, DSP_PROCESSORATTRIN *pAttrIn,
 *                      DSP_HPROCESSOR *phProcessor);
 *
 */
INT IVADSPProcessor_Attach_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_Detach_API ========
 *  DSPProcessor_Detach(DSP_HPROCESSOR *phProcessor);
 *
 */
INT IVADSPProcessor_Detach_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_EnumNodes_API ========
 *  DSPProcessor_EnumNodes(DSP_HPROCESSOR hProcessor,
 *                         IN UINT uNodeTabSize,
 *                         OUT UINT *puNumNodes,
 *                         OUT UINT *puAllocated);
 *
 */
INT IVADSPProcessor_EnumNodes_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_GetResourceInfo_API ========
 *  DSPProcessor_GetResourceInfo(DSP_HPROCESSOR *phProcessor,
 *                               UINT uResourceType,
 *                               DSP_RESOURCEINFO *pResourceInfo,
 *                               UINT uResourceInfoSize);
 *
 */
INT IVADSPProcessor_GetResourceInfo_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_GetState_API ========
 *  DSPProcessor_GetState(DSP_HPROCESSOR hProcessor,
 *                        DSPPROCESSORSTATE *pProcStatus
 *                        UINT uStateInfoSize);
 *
 */
INT IVADSPProcessor_GetState_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_RegisterNotify_API ========
 *  DSPProcessor_RegisterNotify(DSP_HPROCESSOR hProcessor,
 *                              UINT uEventMask,
 *                              UINT uNotifyMask,
 *                              DSP_HNOTIFICATION hNotification)
 *
 */
INT IVADSPProcessor_RegisterNotify_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_Load_API ========
 *  DSPProcessor_Load(DSP_HPROCESSOR hProcessor, INT iArgc,
 *                    CHAR **aArgv, CHAR **aEnvp);
 *
 */
INT IVADSPProcessor_Load_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_Start_API ========
 *  DSPProcessor_Start(DSP_HPROCESSOR hProcessor);
 *
 */
INT IVADSPProcessor_Start_API(INT argc, CHAR *argv[], INT iRunTime);

/*
 *  ======= DSPProcessor_Ctrl_API ========
 *  DSPProcessor_Ctrl(DSP_HPROCESSOR hProcessor, ULONG dwCmd,
 *                    DSP_CBDATA *pArgs)
 *
 */
INT IVADSPProcessor_Ctrl_API(INT argc, CHAR *argv[], INT iRunTime);


