#First step is to check that all tests were executed
#We count the number of boundaries found
#if they are not equal to the number expected we should do something

rm -f   boundaries ab errormsg
egrep 'TESTARGS:'  $PWD/$1 >> boundaries
N_BOUNDARIES=`cat 'boundaries' | wc -l`

#These are the headers for excel sheet
DATE=`date +%D` 
echo -e "$DATE \t Analyzed $N_BOUNDARIES, of 165 modules on the script" >> ab
echo -n -e "Test Type\t Module\t Comments\t DSPExec\t BufferSize\t Iterations\t Value\t Status" >> ab


while read line
do
	(( COUNT_LINE += 1 ))
	TESTSUITE_AND_TESTCASENAME=`echo $line | grep 'TESTARGS:'` 
	if [ $? = 0 ];	then
		#If previous module didn't have RESULT keyword we print N/A
		if [ "$FG" = 1 ]; then
			echo -n -e "\tN/A" >> ab
		fi
		#We are inside a module, lets read its descriptors
		FG=1
		#Reduce number of args by removing posix arguments denoted by '-'
		TMP=`echo $TESTSUITE_AND_TESTCASENAME | cut -f3 -d: | sed s/-[a-z]//g`
		set $TMP >> /dev/null
		TYPE=$1
		MODULE=$2
		COMMENT=$3
		if [ -z "$4" ]; then
			DSPEXEC="N/A"
		else
			DSPEXEC="$4"	
		fi	
		BUFFSZ=$5
		ITERATION=$6
		VALUE="N/A"
		#ANALIZE PARTICULAR CASES
		MODTMP=`echo $MODULE | grep "DMMCOPY\|DYNAMICHEAP"`
		MODTMP2=`echo $MODULE | grep "SENDMSG\|PUTGETMSG\|GETMSG\|NODEENVTEST\|LOADIMG"`
		if [ "$MODULE" = "$MODTMP" ]; then
			VALUE=$7
		fi
		if [ "$MODULE" = "$MODTMP2" ]; then
			BUFFSZ="N/A"
			ITERATION=$5
		fi
	
		echo -n -e "\n$TYPE\t $MODULE\t $COMMENT\t $DSPEXEC\t $BUFFSZ\t $ITERATION\t $VALUE" >> ab
	fi
	
	#Looking for test result inside the module
	if [ "$FG" = 1 ]; then
		RESULT=`echo $line | grep 'TESTRESULT ='` 
		if [ $? = 0 ];	then
			set $RESULT >> /dev/null
			#Get the status and go out the module
			echo -n -e "\t$4" >> ab
			FG=0
		fi
	fi

	ERRMSG=`echo $line | grep 'FAIL\|fail\|failed\|fault\|Aborted\|Error'`
	if [ $? = 0 ]; then
		set $ERRMSG >> /dev/null
		echo -n -e "Line: $COUNT_LINE\t $ERRMSG\n" >> errormsg
	fi

done <$PWD/$1

	echo -e "\n\nPlease take a look on next possible failures:\n" >> ab
	cat errormsg >> ab


mv ab ANALYSIS_TESTREPORT.xls
rm -f   boundaries ab errormsg
