
#First step is to check that all tests were executed
#We count the number of boundaries found and compare against the expected number

rm -f   boundaries ab errormsg
egrep 'TESTARGS:'  $PWD/$1 >> boundaries
N_BOUNDARIES=`cat 'boundaries' | wc -l`

#These are the headers for excel sheet
DATE=`date +%D` 
echo -e "$DATE \t Analyzed $N_BOUNDARIES, of 87 modules on the script" >> ab
echo -n -e "Test Type\t Comment\t Module\t Value\t DSPExec\t Status" >> ab

COUNT_LINE=0

while read line
do
	(( COUNT_LINE += 1 ))
	TESTSUITE_AND_TESTCASENAME=`echo $line | grep 'TESTARGS:'` 
	if [ $? = 0 ];	then
		#If previous module didn't have RESULT keyword we print N/A
		if [ "$FG" = 1 ]; then
			echo -n -e "\tN/A" >> ab
		fi
		#We are inside a module, lets read its descriptors
		FG=1
		#Reduce number of args by removing posix arguments denoted by '-'
		TMP=`echo $TESTSUITE_AND_TESTCASENAME | cut -f3 -d: | sed s/-[a-z]//g`
		set $TMP >> /dev/null	
		TYPE=$1
		COMMENT=$2
		MODULE=$3
		VALUE=$4
		if [ -z "$5" ]; then
			DSPEXEC="N/A"
		else
			DSPEXEC="$5"	
		fi	
		echo -n -e "\n$TYPE\t $COMMENT\t $MODULE\t $VALUE\t $DSPEXEC" >> ab
	fi

	#Looking for test result inside the module
	if [ "$FG" = 1 ]; then
		RESULT=`echo $line | grep 'TESTRESULT:'` 
		if [ $? = 0 ];	then
			set $RESULT >> /dev/null
			#Get the status and go out the module
			echo -n -e "\t$2" >> ab
			FG=0
		fi			
	fi

	ERRMSG=`echo $line | grep 'FAIL\|fail\|failed\|fault\|Aborted\|Error'`
	if [ $? = 0 ]; then
		set $ERRMSG >> /dev/null
		echo -n -e "Line: $COUNT_LINE\t $ERRMSG\n" >> errormsg
	fi
	
done <$PWD/$1

	echo -e "\n\nPlease take a look on next possible failures:\n" >> ab
	cat errormsg >> ab
	
mv ab API_TESTREPORT.xls
rm -f   boundaries ab errormsg 
